/*
  Written by:	Jesper Hansen <jesperh@telia.com>

  Rewritten by:	Nikolai Vorontsov <nickviz@mail.be>

  From code by:	Volker Oth <volkeroth@gmx.de>

  This file is part of the yampp system.

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software Foundation, 
  Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

#ifndef __DELAY_H__
#define __DELAY_H__

#include "types.h"
#include "Constants.h"


#define CYCLES_PER_10US ((F_CPU+50000)/100000)	// CPU cycles per 10 microseconds

void delay10(u16 count);	// Delay of count*10 uS. From 10uS to 655,35mS.
void delay10us(void);		// Delay of 10 us. Often used function.

#endif // __DELAY_H__
