/* ***********************************************************************
**
**  Copyright (C) 2002  Jesper Hansen <jesperh@telia.com> and 
**			Romuald Bialy (MIS) <romek_b@o2.pl>.
**
**
**  Yampp-3/USB - low level support library
**
**
*************************************************************************
**
**   This file is part of the yampp system.
**
**  This program is free software; you can redistribute it and/or
**  modify it under the terms of the GNU General Public License
**  as published by the Free Software Foundation; either version 2
**  of the License, or (at your option) any later version.
**
**  This program is distributed in the hope that it will be useful,
**  but WITHOUT ANY WARRANTY; without even the implied warranty of
**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**  GNU General Public License for more details.
**
**  You should have received a copy of the GNU General Public License
**  along with this program; if not, write to the Free Software Foundation, 
**  Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
**
*************************************************************************
**
**  Revision History
**
**  when         what  who	why
**
**  2002-09-01   1.0   MIS      initial public release
**
*********************************************************************** */



#ifndef __UART_H__
#define __UART_H__

// UART Baud rate calculation 

#define UART_CPU               7372800		// CPU speed 
#define UART_BAUD_RATE         115200       // baud rate
#define UART_BAUD_SELECT       ((u32)((u32)UART_CPU/(UART_BAUD_RATE*16L)-1))

// Global functions 

extern void uart_putchar    (u08 Data);
extern u08  uart_getchar	(void);
extern void uart_init       (u16 BaudRate);
extern u08  uart_haschar	(void);


/* formatting */
/*
extern void PrintfProgStr  (u08* pBuf);
extern void PrintfEndOfLine(void);
extern void Printfu08      (u08 Data);
extern void Printfu16      (u16 Data);
extern void Printfu32      (u32 Data);
extern void Puts  			(u08* pBuf);
extern void Putsln			(u08* pBuf);
*/
/* Macros */
/*#define PRINT(string) (PrintfProgStr(PSTR(string)))
#define EOL           PrintfEndOfLine
*/

#endif

